//NetTalk
/*------------------------------------------------------------------------------*\
 =============================
   模块名称: NewMsgBox.h
 =============================
 
 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/
#ifndef _NEWMSGBOX_H_
#define _NEWMSGBOX_H_

#include "GraphDlg.h"
#include "resource.h"

class CMsgBox:public CGraphDlg
{
public:
	int MsgBox(HWND hWnd,char* pszTxt,char* pszCap,UINT utype,UINT uIcon);
	static int MessageBox(HWND hWnd,char* pszTxt,char* pszCap,UINT utype,UINT uIcon);
	static int MessageBox(HWND hWnd,const int iTxtId, const int iCapId, UINT utype,UINT uIcon);
	int MsgBox(HWND hWnd, int iTxtId, int iCapId, UINT utype,UINT uIcon);
	virtual  ~CMsgBox();
	CMsgBox();
	
protected:
	
	UINT m_uIcon;
	UINT m_uType;
	char m_szCap[128];
	char m_szTxt[256];

	virtual void OnEraseBkgnd(HDC hdc);
	virtual BOOL OnCommand(WPARAM wParam,LPARAM lParam);
	virtual BOOL OnInitDialog();
	virtual LRESULT WndProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
};


#endif